> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update template document

PUT https://demo.docusign.net/restapi/v2/accounts/{accountId}/templates/{templateId}/documents/{documentId}
Content-Type: application/json

Adds the specified document to an existing template document.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/templates/templatedocuments/update

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `documentId` (string, required) — The ID of the document being accessed.
- `templateId` (string, required) — The ID of the template being accessed.

### Query parameters

- `apply_document_fields` (string, optional) — When **true**, document fields can be added or modified while adding or modifying envelope documents.
- `is_envelope_definition` (string, optional)

### Body (application/json)

This endpoint expects an envelopeDefinition.

- `accessibility` (string, optional) — Sets the document reading zones for screen reader applications. This element can only be used if Document Accessibility is enabled for the account. ###### Note: This information is currently generated from the DocuSign web console by setting the reading zones when creating a template, exporting the reading zone string information, and adding it here.
- `allowMarkup` (string, optional) — When set to **true**, Document Markup is enabled for envelope. Account must have Document Markup enabled to use this
- `allowReassign` (string, optional) — When set to **true**, the recipient can redirect an envelope to a more appropriate recipient.
- `allowRecipientRecursion` (string, optional) — When set to **true**, this enables the Recursive Recipients feature and allows a recipient to appear more than once in the routing order.
- `allowViewHistory` (string, optional)
- `asynchronous` (string, optional) — When set to **true**, the envelope is queued for processing and the value of the `status` property is set to 'Processing'. Additionally, get status calls return 'Processing' until completed. **Note**: A `transactionId` is required for this call to work correctly. When the envelope is created, the status is 'Processing' and an `envelopeId` is not returned in the response. To get the `envelopeId`, use a GET envelope query using the [transactionId](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/create/#envelopeDefinition) or by checking the Connect notification.
- `attachments` (list of attachment, optional)
- `attachmentsUri` (string, optional)
- `authoritativeCopy` (string, optional) — Specifies whether all documents in this envelope are authoritative copies. A document can set its own `authoritativeCopy` property to override this value. For example you can set the `authoritativeCopy` on an envelope level to true but can turn it off for a specific document.
- `authoritativeCopyDefault` (string, optional) — The default `authoritativeCopy` setting for documents in this envelope that do not have `authoritativeCopy` set. If this property is not set, each document defaults to the envelope's `authoritativeCopy`.
- `autoNavigation` (string, optional) — When set to **true**, autonavigation is set for the recipient.
- `brandId` (string, optional) — This sets the brand profile format used for the envelope. The value in the string is the brandId associated with the profile. Account branding must be enabled for the account to use this option.
- `brandLock` (string, optional)
- `certificateUri` (string, optional) — Retrieves a URI for an endpoint allowing you to easily retrieve certificate information.
- `completedDateTime` (string, optional) — Specifies the date and time this item was completed.
- `compositeTemplates` (list of compositeTemplate, optional) — A complex type that can be added to create envelopes from a combination of DocuSign templates and PDF forms. The basic envelope remains the same, while the Composite Template adds new document and template overlays into the envelope. There can be any number of Composite Template structures in the envelope.
- `copyRecipientData` (string, optional)
- `createdDateTime` (string, optional) — Indicates the date and time the item was created.
- `customFields` (AccountCustomFields, optional) — Custom Fields
- `customFieldsUri` (string, optional) — Contains a URI for an endpoint to retrieve the custom fields.
- `declinedDateTime` (string, optional) — The date and time the recipient declined the document. Read only.
- `deletedDateTime` (string, optional) — Specifies the data and time the item was deleted.
- `deliveredDateTime` (string, optional) — Reserved: For DocuSign use only.
- `disableResponsiveDocument` (string, optional)
- `documents` (list of document, optional) — Complex element contains the details on the documents in the envelope.
- `documentsCombinedUri` (string, optional)
- `documentsUri` (string, optional) — Contains a URI for an endpoint that you can use to retrieve the documents.
- `emailBlurb` (string, optional) — Optional element. This is the same as the email body. If specified it is included in email body for all envelope recipients. This can be a maximum of 10000 characters
- `emailSettings` (emailSettings, optional)
- `emailSubject` (string, optional) — Specifies the subject of the email that is sent to all recipients. See [ML:Template Email Subject Merge Fields] for information about adding merge field information to the email subject.
- `enableWetSign` (string, optional) — When set to **true**, the signer is allowed to print the document and sign it on paper.
- `enforceSignerVisibility` (string, optional) — When set to **true**, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent. ###### Note: Your account must have Document Visibility enabled to use this.
- `envelopeId` (string, optional) — The envelope ID of the envelope status that failed to post.
- `envelopeIdStamping` (string, optional) — When set to **true**, Envelope ID Stamping is enabled.
- `envelopeUri` (string, optional) — Contains a URI for an endpoint that you can use to retrieve the envelope or envelopes.
- `eventNotification` (eventNotification, optional) — Register a Connect webhook for a specific envelope
- `initialSentDateTime` (string, optional)
- `is21CFRPart11` (string, optional) — When set to **true**, indicates that this module is enabled on the account.
- `isSignatureProviderEnvelope` (string, optional)
- `lastModifiedDateTime` (string, optional) — The date and time the item was last modified.
- `lockInformation` (EnvelopeLocks, optional) — Envelope locks
- `messageLock` (string, optional) — When set to **true**, prevents senders from changing the contents of `emailBlurb` and `emailSubject` properties for the envelope. Additionally, this prevents users from making changes to the contents of `emailBlurb` and `emailSubject` properties when correcting envelopes. However, if the `messageLock` node is set to **true** and the `emailSubject` property is empty, senders and correctors are able to add a subject to the envelope.
- `notification` (notification, optional) — A complex element that specifies the notification options for the envelope. It consists of: * useAccountDefaults - When set to **true**, the account default notification settings are used for the envelope. * reminders - A complex element that specifies reminder settings for the envelope. It consists of: * reminderEnabled - When set to **true**, a reminder message is sent to the recipient. * reminderDelay - An interger that sets the number of days after the recipient receives the envelope that reminder emails are sent to the recipient. * reminderFrequency - An interger that sets the interval, in days, between reminder emails. * expirations - A complex element that specifies the expiration settings for the envelope. It consists of: * expireEnabled - When set to **true**, the envelope expires (is no longer available for signing) in the set number of days. If false, the account default setting is used. If the account does not have an expiration setting, the DocuSign default value of 120 days is used. * expireAfter - An integer that sets the number of days the envelope is active. * expireWarn - An integer that sets the number of days before envelope expiration that an expiration warning email is sent to the recipient. If set to 0 (zero), no warning email is sent.
- `notificationUri` (string, optional) — Contains a URI for an endpoint that you can use to retrieve the notifications.
- `password` (string, optional)
- `purgeState` (string, optional) — Initiates a purge request. Valid values are: * documents_queued - Places envelope documents in the purge queue. * documents_and_metadata_queued - Places envelope documents and metadata in the purge queue.
- `recipients` (EnvelopeRecipients, optional) — Envelope recipients
- `recipientsLock` (string, optional) — When set to **true**, prevents senders from changing, correcting, or deleting the recipient information for the envelope.
- `recipientsUri` (string, optional) — Contains a URI for an endpoint that you can use to retrieve the recipients.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. Read only.
- `signerCanSignOnMobile` (string, optional)
- `signingLocation` (string, optional) — Specifies the physical location where the signing takes place. It can have two enumeration values; InPerson and Online. The default value is Online.
- `status` (string, optional) — Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later.
- `statusChangedDateTime` (string, optional) — The data and time the status changed.
- `templateId` (string, optional) — The unique identifier of the template. If this is not provided, DocuSign will generate a value.
- `templateRoles` (list of templateRole, optional) — Specifies the template recipients. Each roleName in the template must have a recipient assigned to it. This is made up by the following elements: * email - The recipient's email address. * name - The recipient's name. * roleName - The template roleName associated with the recipient. * clientUserId - Optional, this sets if the signer is This specifies if the recipient is embedded or remote. If the clientUserId is not null then the recipient is embedded. Note that if a ClientUserId is used and the account settings SignerMustHaveAccount or SignerMustLoginToSign are true, an error is generated on sending. * defaultRecipient - Optional, When set to **true**, this recipient is the default recipient and any tabs generated by the transformPdfFields option are mapped to this recipient. * routingOrder - This specifies the routing order of the recipient in the envelope. * accessCode - This optional element specifies the access code a recipient has to enter to validate the identity. This can be a maximum of 50 characters. * inPersonSignerName - Optional, if the template role is an in person signer, this is the full legal name of the signer. This can be a maximum of 100 characters. * emailNotification - This is an optional complex element that has a role-specific emailSubject, emailBody, and language. It follows the same format as the emailNotification node for Recipients. * tabs - This allows the tab values to be specified for matching to tabs in the template.
- `templatesUri` (string, optional) — Contains a URI for an endpoint which you can use to retrieve the templates.
- `transactionId` (string, optional) — Used to identify an envelope. The id is a sender-generated value and is valid in the DocuSign system for 7 days. It is recommended that a transaction ID is used for offline signing to ensure that an envelope is not sent multiple times. The `transactionId` property can be used determine an envelope's status (i.e. was it created or not) in cases where the internet connection was lost before the envelope status was returned.
- `useDisclosure` (string, optional) — When set to **true**, the disclosure is shown to recipients in accordance with the account's Electronic Record and Signature Disclosure frequency setting. When set to **false**, the Electronic Record and Signature Disclosure is not shown to any envelope recipients. If the `useDisclosure` property is not set, then the account's normal disclosure setting is used and the value of the `useDisclosure` property is not returned in responses when getting envelope information.
- `voidedDateTime` (string, optional) — The date and time the envelope or template was voided.
- `voidedReason` (string, optional) — The reason the envelope or template was voided.

## Response

### 200

Successful response.

- `attachmentTabId` (string, optional)
- `authoritativeCopy` (string, optional) — Specifies whether all documents in this envelope are authoritative copies. A document can set its own `authoritativeCopy` property to override this value. For example you can set the `authoritativeCopy` on an envelope level to true but can turn it off for a specific document.
- `availableDocumentTypes` (list of signatureType, optional)
- `containsPdfFormFields` (string, optional)
- `display` (string, optional) — This string sets the display and behavior properties of the document during signing. The possible values are: * `modal` The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a modal window. This is the recommended value for supplemental documents. * `download` The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a new browser window. * `inline` The document is shown in the normal signing window. This value is not used with supplemental documents, but is the default value for all other documents.
- `documentFields` (list of nameValue, optional)
- `documentId` (string, optional) — Specifies the document ID number that the tab is placed on. This must refer to an existing Document's ID attribute.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `includeInDownload` (string, optional) — When set to **true**, the document is included in the combined document download. The default value is **true**.
- `name` (string, optional)
- `order` (string, optional) — An optional value that sets the direction order used to sort the item list. Valid values are: * asc = ascending sort order * desc = descending sort order
- `pages` (string, optional)
- `signerMustAcknowledge` (string, optional) — Sets how the signer interacts with the supplemental document. The possible values are: * `no_interaction` No recipient action is required. * `view` The recipient is required to view the document. * `accept` The recipient is required to accept the document by selecting accept during signing, but is not required to view the document. * `view_accept` The recipient is required to view and accept the document.
- `sizeBytes` (string, optional)
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.
- `uri` (string, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### attachment

Contains information about an attachment.

- `accessControl` (string, optional)
- `attachmentId` (string, optional)
- `attachmentType` (string, optional) — Specifies the type of the attachment for the recipient.
- `data` (string, optional)
- `label` (string, optional)
- `name` (string, optional)
- `remoteUrl` (string, optional)

### compositeTemplate

- `compositeTemplateId` (string, optional) — The identify of this composite template. It is used as a reference when adding document object information. If used, the document's `content-disposition` must include the composite template ID to which the document should be added. If a composite template ID is not specified in the content-disposition, the document is applied based on the value of the `documentId` property only. If no document object is specified, the composite template inherits the first document.
- `document` (document, optional) — A document object.
- `inlineTemplates` (list of inlineTemplate, optional) — Zero or more inline templates and their position in the overlay. If supplied, they are overlaid into the envelope in the order of their Sequence value.
- `pdfMetaDataTemplateSequence` (string, optional)
- `serverTemplates` (list of serverTemplate, optional) — 0 or more server-side templates and their position in the overlay. If supplied, they are overlaid into the envelope in the order of their Sequence value

### AccountCustomFields

Custom Fields

- `listCustomFields` (list of listCustomField, optional) — An array of list custom fields.
- `textCustomFields` (list of textCustomField, optional) — An array of text custom fields.

### document

A document object.

- `applyAnchorTabs` (string, optional) — Reserved for DocuSign
- `authoritativeCopy` (boolean, optional) — If **true**, this document is considered an authoritative copy. If this property is not set, it gets its value from the envelope's `authoritativeCopyDefault` property if it's set, or the envelope's `authoritativeCopy` property. If **false**, this document is not an authoritative copy regardless of the envelope's `authoritativeCopyDefault` or `authoritativeCopy` property.
- `display` (string, optional) — This string sets the display and behavior properties of the document during signing. The possible values are: * `modal` The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a modal window. This is the recommended value for supplemental documents. * `download` The document is shown as a supplement action strip and can be viewed, downloaded, or printed in a new browser window. * `inline` The document is shown in the normal signing window. This value is not used with supplemental documents, but is the default value for all other documents.
- `documentBase64` (string, optional) — The document's bytes. This field can be used to include a base64 version of the document bytes within an envelope definition instead of sending the document using a multi-part HTTP request. The maximum document size is smaller if this field is used due to the overhead of the base64 encoding.
- `documentFields` (list of nameValue, optional)
- `documentId` (string, optional) — Specifies the document ID of this document. This value is used by tabs to determine which document they appear in.
- `encryptedWithKeyManager` (string, optional) — When set to **true**, the document is been already encrypted by the sender for use with the DocuSign Key Manager Security Appliance.
- `fileExtension` (string, optional) — The file extension type of the document. Non-PDF documents are converted to PDF. If the document is not a PDF, `fileExtension` is required. If you try to upload a non-PDF document without a `fileExtension`, you will receive an "unable to load document" error message.
- `fileFormatHint` (string, optional)
- `htmlDefinition` (documentHtmlDefinition, optional)
- `includeInDownload` (string, optional) — When set to **true**, the document is included in the combined document download. The default value is **true**.
- `matchBoxes` (list of matchBox, optional) — Matchboxes define areas in a document for document matching when you are creating envelopes. They are only used when you upload and edit a template. A matchbox consists of 5 elements: * pageNumber - The document page number on which the matchbox will appear. * xPosition - The x position of the matchbox on a page. * yPosition - The y position of the matchbox on a page. * width - The width of the matchbox. * height - The height of the matchbox.
- `name` (string, optional)
- `order` (string, optional) — An optional value that sets the direction order used to sort the item list. Valid values are: * asc = ascending sort order * desc = descending sort order
- `pages` (string, optional)
- `password` (string, optional)
- `remoteUrl` (string, optional) — The file id from the cloud storage service where the document is located. This information is returned using \[ML:GET /folders] or \[ML:/folders/\{folderid}].
- `signerMustAcknowledge` (string, optional) — Sets how the signer interacts with the supplemental document. The possible values are: * `no_interaction` No recipient action is required. * `view` The recipient is required to view the document. * `accept` The recipient is required to accept the document by selecting accept during signing, but is not required to view the document. * `view_accept` The recipient is required to view and accept the document.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `transformPdfFields` (string, optional) — When set to **true**, PDF form field data is transformed into document tab values when the PDF form field name matches the DocuSign custom tab tabLabel. The resulting PDF form data is also returned in the PDF meta data when requesting the document PDF. See the [ML:Transform PDF Fields] section for more information about how fields are transformed into DocuSign tabs.
- `uri` (string, optional)

### emailSettings

- `bccEmailAddresses` (list of bccEmailAddress, optional) — An array containing the email address that should receive a copy of all email communications related to an envelope for archiving purposes. Maximum Length: 100 characters. **Note**: While this property is an array, it takes only a single email address.
- `replyEmailAddressOverride` (string, optional)
- `replyEmailNameOverride` (string, optional)

### eventNotification

Register a Connect webhook for a specific envelope

- `envelopeEvents` (list of envelopeEvent, optional) — A list of envelope-level event statuses that will trigger Connect to send updates to the endpoint specified in the `url` property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both.
- `includeCertificateOfCompletion` (string, optional) — When set to **true**, the Connect Service includes the Certificate of Completion with completed envelopes.
- `includeCertificateWithSoap` (string, optional) — When set to **true**, the Connect service will digitally sign the XML data. The signature will be included in the XML message.
- `includeDocumentFields` (string, optional) — When set to **true**, the Document Fields associated with the envelope's documents are included in the notification messages. Document Fields are optional custom name-value pairs added to documents using the API.
- `includeDocuments` (string, optional) — When set to **true**, the XML webhook messages will include the envelope's PDF documents. Including the PDF documents will greatly increase the size of the notification messages. Ensure that your listener can handle incoming messages that are 25MB or larger.
- `includeEnvelopeVoidReason` (string, optional) — When set to **true**, if the envelope is voided, the Connect Service notification will include the void reason, as entered by the person that voided the envelope.
- `includeHMAC` (string, optional)
- `includeSenderAccountAsCustomField` (string, optional) — When set to **true**, Connect will include the sender account as Custom Field in the data.
- `includeTimeZone` (string, optional) — When set to **true**, the envelope's time zone information is included in the webhook messages.
- `loggingEnabled` (string, optional) — When set to **true**, the webhook messages are logged. They can be viewed on the DocuSign Administration Web Tool in the Connect section. Logged messages can also be downloaded via the [ConnectEvents resource](https://developers.docusign.com/esign-rest-api/reference/Connect/ConnectEvents).
- `recipientEvents` (list of recipientEvent, optional) — An array of recipient event statuses that will trigger Connect to send notifications to your webhook listener at the url endpoint specified in the `url` property. To receive notifications, you must include either an `envelopeEvents` node or a `recipientEvents` node. You do not need to specify both.
- `requireAcknowledgment` (string, optional) — When set to **true**, the DocuSign Connect service checks that the message was received and retries on failures.
- `signMessageWithX509Cert` (string, optional) — When set to **true**, Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer's web server) during the TLS handshake protocol.
- `soapNameSpace` (string, optional) — The namespace of the SOAP interface. The namespace value must be set if useSoapInterface is set to true.
- `url` (string, optional) — The endpoint to which webhook notification messages are sent via an HTTPS POST request. The url must start with https. The customer's web server must use an SSL/TLS certificate whose CA is in the Microsoft list of trusted CAs. Self-signed certificates are not ok. Free certificates from Let's Encrypt can be used.
- `useSoapInterface` (string, optional) — When set to **true**, the notifications are sent to your endpoint as SOAP requests.

### EnvelopeLocks

Envelope locks

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `lockDurationInSeconds` (string, optional) — Sets the time, in seconds, until the lock expires when there is no activity on the envelope. If no value is entered, then the default value of 300 seconds is used. The maximum value is 1,800 seconds. The lock duration can be extended.
- `lockedByApp` (string, optional) — Specifies the friendly name of the application that is locking the envelope.
- `lockedByUser` (userInfo, optional)
- `lockedUntilDateTime` (string, optional) — The datetime until the envelope lock expires.
- `lockToken` (string, optional) — A unique identifier provided to the owner of the envelope lock. Used to prove ownership of the lock.
- `lockType` (string, optional) — The type of envelope lock. Currently "edit" is the only supported type.
- `useScratchPad` (string, optional) — Reserved for future use. Indicates whether a scratchpad is used for editing information.

### notification

A complex element that specifies the notification options for the envelope. It consists of: * useAccountDefaults - When set to **true**, the account default notification settings are used for the envelope. * reminders - A complex element that specifies reminder settings for the envelope. It consists of: * reminderEnabled - When set to **true**, a reminder message is sent to the recipient. * reminderDelay - An interger that sets the number of days after the recipient receives the envelope that reminder emails are sent to the recipient. * reminderFrequency - An interger that sets the interval, in days, between reminder emails. * expirations - A complex element that specifies the expiration settings for the envelope. It consists of: * expireEnabled - When set to **true**, the envelope expires (is no longer available for signing) in the set number of days. If false, the account default setting is used. If the account does not have an expiration setting, the DocuSign default value of 120 days is used. * expireAfter - An integer that sets the number of days the envelope is active. * expireWarn - An integer that sets the number of days before envelope expiration that an expiration warning email is sent to the recipient. If set to 0 (zero), no warning email is sent.

- `expirations` (expirations, optional) — A complex element that specifies the expiration settings for the envelope.
- `reminders` (reminders, optional) — A complex element that specifies reminder settings for the envelope
- `useAccountDefaults` (string, optional) — When set to **true**, the account default notification settings are used for the envelope.

### EnvelopeRecipients

Envelope recipients

- `agents` (list of agent, optional) — A complex type defining the management and access rights of a recipient assigned assigned as an agent on the document.
- `carbonCopies` (list of carbonCopy, optional) — A complex type containing information about recipients who should receive a copy of the envelope, but does not need to sign it.
- `certifiedDeliveries` (list of certifiedDelivery, optional) — A complex type containing information on a recipient the must receive the completed documents for the envelope to be completed, but the recipient does not need to sign, initial, date, or add information to any of the documents.
- `currentRoutingOrder` (string, optional)
- `editors` (list of editor, optional) — A complex type defining the management and access rights of a recipient assigned assigned as an editor on the document.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `inPersonSigners` (list of inPersonSigner, optional) — Specifies a signer that is in the same physical location as a DocuSign user who will act as a Signing Host for the transaction. The recipient added is the Signing Host and new separate Signer Name field appears after Sign in person is selected.
- `intermediaries` (list of intermediary, optional) — Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
- `recipientCount` (string, optional) — The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with: * recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded. * includeDocuments - When set to **true**, the envelope time zone information is included in the message.
- `seals` (list of sealSign, optional)
- `signers` (list of signer, optional) — A complex type containing information about the Signer recipient.
- `witnesses` (list of witness, optional)

### templateRole

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. Note: if the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true**, an error is generated on sending. Maximum length: 100 characters.
- `defaultRecipient` (string, optional) — When set to **true**, this recipient is the default recipient and any tabs generated by the transformPdfFields option are mapped to this recipient.
- `email` (string, optional) — Specifies the email associated with a role name.
- `emailNotification` (recipientEmailNotification, optional)
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from DocuSign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through DocuSign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. If set to `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at DocuSign. The signing or viewing action is initiated by the DocuSign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation that is launched by any partner. It is important to remember that in a typical embedded workflow the authentication of an embedded recipient is the responsibility of the sending application, DocuSign expects that senders will follow their own process for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process in initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process bypassing the sending application and any authentication steps the sending application would use. In this case, DocuSign recommends that you use one of the normal DocuSign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, DocuSign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: envelopeId, recipientId, recipientName, recipientEmail, and customFields. The `customFields` property must be set fort the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `inPersonSignerName` (string, optional) — Specifies the full legal name of the signer in person signer template roles. Maximum Length: 100 characters.
- `name` (string, optional) — Specifies the recipient's name.
- `recipientSignatureProviders` (list of recipientSignatureProvider, optional) — The default signature provider is the DocuSign Electronic signature system. This parameter is used to specify one or more Standards Based Signature (digital signature) providers for the signer to use. [More information.](https://developers.docusign.com/esign-rest-api/guides/standards-based-signatures)
- `roleName` (string, optional) — Optional element. Specifies the role name associated with the recipient.This is required when working with template recipients.
- `routingOrder` (string, optional) — Specifies the routing order of the recipient in the envelope.
- `signingGroupId` (string, optional) — Optional. The ID of the [signing group](https://support.docusign.com/en/guides/ndse-user-guide-signing-groups). **Note**: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, we recommend that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change the default action of Needs to Sign to a different value, such as Receives a Copy.
- `tabs` (EnvelopeRecipientTabs, optional) — All of the tabs associated with a recipient. Each property is a list of a type of tab.

### signatureType

- `isDefault` (string, optional)
- `type` (string, optional) — Type of the user. Valid values: type_owner, type_participant.

### nameValue

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name or key of a name/value pair.
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `value` (string, optional) — The value field of a name/value pair.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

### inlineTemplate

- `customFields` (AccountCustomFields, optional) — Custom Fields
- `documents` (list of document, optional) — Complex element contains the details on the documents in the envelope.
- `envelope` (envelope, optional)
- `recipients` (EnvelopeRecipients, optional) — Envelope recipients
- `sequence` (string, optional) — Specifies the order in which templates are overlaid.

### serverTemplate

- `sequence` (string, optional)
- `templateId` (string, optional) — The unique identifier of the template. If this is not provided, DocuSign will generate a value.

### listCustomField

- `configurationType` (string, optional) — If merge field's are being used, specifies the type of the merge field. The only supported value is **salesforce**.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `fieldId` (string, optional) — An ID used to specify a custom field.
- `listItems` (list of string, optional)
- `name` (string, optional) — The name of the custom field.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `show` (string, optional) — A boolean indicating if the value should be displayed. If this value is set to **true**, the custom field is displayed at the top of the certificate of completion. If this value is left blank/ or set to **false**, then it does not appear in the certificate of completion.
- `value` (string, optional) — The value of the custom field. Maximum Length: 100 characters.

### textCustomField

- `configurationType` (string, optional) — If merge field's are being used, specifies the type of the merge field. The only supported value is **salesforce**.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `fieldId` (string, optional) — An ID used to specify a custom field.
- `name` (string, optional) — The name of the custom field.
- `required` (string, optional) — When set to **true**, the signer is required to fill out this tab
- `show` (string, optional) — A boolean indicating if the value should be displayed. If this value is set to **true**, the custom field is displayed at the top of the certificate of completion. If this value is left blank/ or set to **false**, then it does not appear in the certificate of completion.
- `value` (string, optional) — The value of the custom field.

### documentHtmlDefinition

- `displayAnchorPrefix` (string, optional)
- `displayAnchors` (list of documentHtmlDisplayAnchor, optional)
- `displayOrder` (string, optional)
- `displayPageNumber` (string, optional)
- `documentGuid` (string, optional)
- `documentId` (string, optional) — The ID of the document being accessed.
- `headerLabel` (string, optional)
- `maxScreenWidth` (string, optional)
- `removeEmptyTags` (string, optional)
- `showMobileOptimizedToggle` (string, optional)
- `source` (string, optional)

### matchBox

- `height` (integer, optional) — Height of the tab in pixels.
- `pageNumber` (integer, optional) — Specifies the page number on which the tab is located. Must be 1 for supplemental documents.
- `width` (integer, optional) — Width of the tab in pixels.
- `xPosition` (integer, optional) — This property indicates the horizontal offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero.
- `yPosition` (integer, optional) — This property indicates the vertical offset of the object on the page. DocuSign uses 72 DPI when determining position. Required. May be zero.

### bccEmailAddress

Contains information about the BCC email address.

- `bccEmailAddressId` (string, optional) — Only users with canManageAccount setting can use this option. An array of up to 5 email addresses the envelope is sent to as a BCC email. Example: If your account has BCC for Email Archive set up for the email address 'archive@mycompany.com' and you send an envelope using the BCC Email Override to send a BCC email to 'salesarchive@mycompany.com', then a copy of the envelope is only sent to the 'salesarchive@mycompany.com' email address.
- `email` (string, optional) — Specifies the BCC email address. DocuSign verifies that the email format is correct, but does not verify that the email is active.Using this overrides the BCC for Email Archive information setting for this envelope. Maximum of length: 100 characters.

### envelopeEvent

For which envelope events should your webhook be called?

- `envelopeEventStatusCode` (string, optional) — An envelope status for which your webhook should be called. Values: Draft, Sent, Delivered, Completed, Declined, or Voided.
- `includeDocuments` (string, optional) — reserved

### recipientEvent

- `includeDocuments` (string, optional) — reserved
- `recipientEventStatusCode` (string, optional) — Send a webhook notification for the following recipient statuses: Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.

### userInfo

- `activationAccessCode` (string, optional)
- `email` (string, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `loginStatus` (string, optional)
- `sendActivationEmail` (string, optional)
- `uri` (string, optional)
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.
- `userName` (string, optional)
- `userStatus` (string, optional) — Status of the user's account. One of: * ActivationRequired * ActivationSent * Active * Closed * Disabled
- `userType` (string, optional)

### expirations

A complex element that specifies the expiration settings for the envelope.

- `expireAfter` (string, optional) — An integer that sets the number of days the envelope is active.
- `expireEnabled` (string, optional) — When set to **true**, the envelope expires (is no longer available for signing) in the set number of days. If false, the account default setting is used. If the account does not have an expiration setting, the DocuSign default value of 120 days is used.
- `expireWarn` (string, optional) — An integer that sets the number of days before envelope expiration that an expiration warning email is sent to the recipient. If set to 0 (zero), no warning email is sent.

### reminders

A complex element that specifies reminder settings for the envelope

- `reminderDelay` (string, optional) — An interger that sets the number of days after the recipient receives the envelope that reminder emails are sent to the recipient.
- `reminderEnabled` (string, optional) — When set to **true**, the envelope expires (is no longer available for signing) in the set number of days. If false, the account default setting is used. If the account does not have an expiration setting, the DocuSign default value of 120 days is used.
- `reminderFrequency` (string, optional) — An interger that sets the interval, in days, between reminder emails.

### agent

Contains information about agent recipients.

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `addAccessCodeToEmail` (string, optional) — This Optional attribute indicates that the access code will be added to the email sent to the recipient; this nullifies the Security measure of Access Code on the recipient.
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. Note: if the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true**, an error is generated on sending. Maximum length: 100 characters.
- `customFields` (list of string, optional) — An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by DocuSign. Each customField string can be a maximum of 100 characters.
- `declinedDateTime` (string, optional) — The date and time the recipient declined the document. Read only.
- `declinedReason` (string, optional) — The reason the recipient declined the document. Read only.
- `deliveredDateTime` (string, optional) — Reserved: For DocuSign use only.
- `deliveryMethod` (string, optional) — Reserved: For DocuSign use only.
- `documentVisibility` (list of documentVisibility, optional) — A list of `documentVisibility` objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true**.
- `email` (string, optional) — Email id of the recipient. Notification of the document to sign is sent to this email id. Maximum length: 100 characters.
- `emailNotification` (recipientEmailNotification, optional)
- `emailRecipientPostSigningURL` (string, optional)
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from DocuSign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through DocuSign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. If set to `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at DocuSign. The signing or viewing action is initiated by the DocuSign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation that is launched by any partner. It is important to remember that in a typical embedded workflow the authentication of an embedded recipient is the responsibility of the sending application, DocuSign expects that senders will follow their own process for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process in initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process bypassing the sending application and any authentication steps the sending application would use. In this case, DocuSign recommends that you use one of the normal DocuSign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, DocuSign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: envelopeId, recipientId, recipientName, recipientEmail, and customFields. The `customFields` property must be set fort the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `excludedDocuments` (list of string, optional) — Specifies the documents that are not visible to this recipient. Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true** for the envelope to use this. When enforce signer visibility is enabled, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.
- `faxNumber` (string, optional) — Reserved for DocuSign.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `fullName` (string, optional) — Reserved for DocuSign.
- `idCheckConfigurationName` (string, optional) — The name of the authentication check to use. This value must match one of the authentication types that the account uses. The names of these authentication types appear in the web console sending interface in the Identify list for a recipient. This setting overrides any default authentication setting. Valid values are: - `Phone Auth $`: The recipient must authenticate by using two-factor authentication (2FA). You provide the phone number to use for 2FA in the `phoneAuthentication` object. - `SMS Auth $`: The recipient must authenticate via SMS. You provide the phone number to use in the `smsAuthentication` object. - `ID Check $`: The recipient must answer detailed security questions. **Example**: Your account has ID Check and SMS Authentication available. In the web console Identify list, these appear as ID Check $ and SMS Auth $. To use ID Check in an envelope, the idCheckConfigurationName should be ID Check $. For SMS, you would use SMS Auth $, and you would also need to add a phone number to the smsAuthentication node.
- `idCheckInformationInput` (idCheckInformationInput, optional) — A complex element that contains input information related to a recipient ID check. It can include the following information. addressInformationInput: Used to set recipient address information and consists of: * addressInformation: consists of six elements, with stree2 and zipPlus4 being optional. The elements are: street1, street2, city, state, zip, zipPlus4. The maximum length of each element is: street1/street2 = 150 characters, city = 50 characters, state = 2 characters, and zip/zipPlus4 = 20 characters. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. dobInformationInput: Used to set recipient date of birth information and consists of: * dateOfBirth: Specifies the recipient's date, month and year of birth. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn4InformationInput: Used to set the last four digits of the recipient's SSN information and consists of: * ssn4: Specifies the last four digits of the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn9InformationInput: Used to set the recipient's SSN information. Note that the ssn9 information can never be returned in the response. The ssn9 input consists of: * ssn9: Specifies the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay.
- `identityVerification` (recipientIdentityVerification, optional)
- `inheritEmailNotificationConfiguration` (string, optional) — When set to **true** and the envelope recipient creates a DocuSign account after signing, the Manage Account Email Notification settings are used as the default settings for the recipient's account.
- `lastName` (string, optional) — The recipient's last name.
- `name` (string, optional)
- `note` (string, optional) — A note sent to the recipient in the signing email. This note is unique to this recipient. In the user interface, it appears near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters.
- `phoneAuthentication` (recipientPhoneAuthentication, optional) — A complex type that Contains the elements: * recipMayProvideNumber - Boolean. When set to **true**, the recipient can use whatever phone number they choose. * senderProvidedNumbers - ArrayOfString. A list of phone numbers the recipient can use. * recordVoicePrint - Reserved. * validateRecipProvidedNumber - Reserved.
- `recipientAttachments` (list of recipientAttachment, optional) — Reserved for DocuSign.
- `recipientAuthenticationStatus` (authenticationStatus, optional) — Contains information about the authentication status.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. Read only.
- `requireIdLookup` (string, optional) — When set to **true**, the recipient is required to use the specified ID check method (including Phone and SMS authentication) to validate their identity.
- `roleName` (string, optional) — Optional element. Specifies the role name associated with the recipient.This is required when working with template recipients.
- `routingOrder` (string, optional) — Specifies the routing order of the recipient in the envelope.
- `samlAuthentication` (recipientSAMLAuthentication, optional) — Contains the name/value pair information for the SAML assertion attributes: * name - The name of the SAML assertion attribute. * value - The value associated with the named SAML assertion attribute. Your account must be set up to use SSO to use this.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. Read only.
- `signedDateTime` (string, optional) — Reserved for DocuSign.
- `signingGroupId` (string, optional) — Optional. The ID of the [signing group](https://support.docusign.com/en/guides/ndse-user-guide-signing-groups). **Note**: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, we recommend that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change the default action of Needs to Sign to a different value, such as Receives a Copy.
- `signingGroupName` (string, optional) — The display name for the signing group. Maximum Length: 100 characters.
- `signingGroupUsers` (list of userInfo, optional) — A complex type that contains information about users in the signing group.
- `smsAuthentication` (recipientSMSAuthentication, optional) — Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.
- `socialAuthentications` (list of socialAuthentication, optional) — Lists the social ID type that can be used for recipient authentication.
- `status` (string, optional) — Recipient status.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `totalTabCount` (string, optional) — The total number of tabs in the documents. Read only.
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.

### carbonCopy

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `addAccessCodeToEmail` (string, optional) — This Optional attribute indicates that the access code will be added to the email sent to the recipient; this nullifies the Security measure of Access Code on the recipient.
- `agentCanEditEmail` (string, optional)
- `agentCanEditName` (string, optional)
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. Note: if the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true**, an error is generated on sending. Maximum length: 100 characters.
- `customFields` (list of string, optional) — An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by DocuSign. Each customField string can be a maximum of 100 characters.
- `declinedDateTime` (string, optional) — The date and time the recipient declined the document. Read only.
- `declinedReason` (string, optional) — The reason the recipient declined the document. Read only.
- `deliveredDateTime` (string, optional) — Reserved: For DocuSign use only.
- `deliveryMethod` (string, optional) — Reserved: For DocuSign use only.
- `documentVisibility` (list of documentVisibility, optional) — A list of `documentVisibility` objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true**.
- `email` (string, optional) — Email id of the recipient. Notification of the document to sign is sent to this email id. Maximum length: 100 characters.
- `emailNotification` (recipientEmailNotification, optional)
- `emailRecipientPostSigningURL` (string, optional)
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from DocuSign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through DocuSign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. If set to `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at DocuSign. The signing or viewing action is initiated by the DocuSign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation that is launched by any partner. It is important to remember that in a typical embedded workflow the authentication of an embedded recipient is the responsibility of the sending application, DocuSign expects that senders will follow their own process for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process in initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process bypassing the sending application and any authentication steps the sending application would use. In this case, DocuSign recommends that you use one of the normal DocuSign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, DocuSign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: envelopeId, recipientId, recipientName, recipientEmail, and customFields. The `customFields` property must be set fort the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `excludedDocuments` (list of string, optional) — Specifies the documents that are not visible to this recipient. Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true** for the envelope to use this. When enforce signer visibility is enabled, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.
- `faxNumber` (string, optional) — Reserved for DocuSign.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `fullName` (string, optional) — Reserved for DocuSign.
- `idCheckConfigurationName` (string, optional) — The name of the authentication check to use. This value must match one of the authentication types that the account uses. The names of these authentication types appear in the web console sending interface in the Identify list for a recipient. This setting overrides any default authentication setting. Valid values are: - `Phone Auth $`: The recipient must authenticate by using two-factor authentication (2FA). You provide the phone number to use for 2FA in the `phoneAuthentication` object. - `SMS Auth $`: The recipient must authenticate via SMS. You provide the phone number to use in the `smsAuthentication` object. - `ID Check $`: The recipient must answer detailed security questions. **Example**: Your account has ID Check and SMS Authentication available. In the web console Identify list, these appear as ID Check $ and SMS Auth $. To use ID Check in an envelope, the idCheckConfigurationName should be ID Check $. For SMS, you would use SMS Auth $, and you would also need to add a phone number to the smsAuthentication node.
- `idCheckInformationInput` (idCheckInformationInput, optional) — A complex element that contains input information related to a recipient ID check. It can include the following information. addressInformationInput: Used to set recipient address information and consists of: * addressInformation: consists of six elements, with stree2 and zipPlus4 being optional. The elements are: street1, street2, city, state, zip, zipPlus4. The maximum length of each element is: street1/street2 = 150 characters, city = 50 characters, state = 2 characters, and zip/zipPlus4 = 20 characters. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. dobInformationInput: Used to set recipient date of birth information and consists of: * dateOfBirth: Specifies the recipient's date, month and year of birth. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn4InformationInput: Used to set the last four digits of the recipient's SSN information and consists of: * ssn4: Specifies the last four digits of the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn9InformationInput: Used to set the recipient's SSN information. Note that the ssn9 information can never be returned in the response. The ssn9 input consists of: * ssn9: Specifies the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay.
- `identityVerification` (recipientIdentityVerification, optional)
- `inheritEmailNotificationConfiguration` (string, optional) — When set to **true** and the envelope recipient creates a DocuSign account after signing, the Manage Account Email Notification settings are used as the default settings for the recipient's account.
- `lastName` (string, optional) — The recipient's last name.
- `name` (string, optional) — legal name of the recipient. Maximum Length: 100 characters.
- `note` (string, optional) — A note sent to the recipient in the signing email. This note is unique to this recipient. In the user interface, it appears near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters.
- `phoneAuthentication` (recipientPhoneAuthentication, optional) — A complex type that Contains the elements: * recipMayProvideNumber - Boolean. When set to **true**, the recipient can use whatever phone number they choose. * senderProvidedNumbers - ArrayOfString. A list of phone numbers the recipient can use. * recordVoicePrint - Reserved. * validateRecipProvidedNumber - Reserved.
- `proofFile` (recipientProofFile, optional)
- `recipientAttachments` (list of recipientAttachment, optional) — Reserved for DocuSign.
- `recipientAuthenticationStatus` (authenticationStatus, optional) — Contains information about the authentication status.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. Read only.
- `requireIdLookup` (string, optional) — When set to **true**, the recipient is required to use the specified ID check method (including Phone and SMS authentication) to validate their identity.
- `roleName` (string, optional) — Optional element. Specifies the role name associated with the recipient.This is required when working with template recipients.
- `routingOrder` (string, optional) — Specifies the routing order of the recipient in the envelope.
- `samlAuthentication` (recipientSAMLAuthentication, optional) — Contains the name/value pair information for the SAML assertion attributes: * name - The name of the SAML assertion attribute. * value - The value associated with the named SAML assertion attribute. Your account must be set up to use SSO to use this.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. Read only.
- `signedDateTime` (string, optional) — Reserved for DocuSign.
- `signingGroupId` (string, optional) — Optional. The ID of the [signing group](https://support.docusign.com/en/guides/ndse-user-guide-signing-groups). **Note**: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, we recommend that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change the default action of Needs to Sign to a different value, such as Receives a Copy.
- `signingGroupName` (string, optional) — The display name for the signing group. Maximum Length: 100 characters.
- `signingGroupUsers` (list of userInfo, optional) — A complex type that contains information about users in the signing group.
- `smsAuthentication` (recipientSMSAuthentication, optional) — Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.
- `socialAuthentications` (list of socialAuthentication, optional) — Lists the social ID type that can be used for recipient authentication.
- `status` (string, optional) — Recipient status.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `totalTabCount` (string, optional) — The total number of tabs in the documents. Read only.
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.

### certifiedDelivery

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `addAccessCodeToEmail` (string, optional) — This Optional attribute indicates that the access code will be added to the email sent to the recipient; this nullifies the Security measure of Access Code on the recipient.
- `agentCanEditEmail` (string, optional)
- `agentCanEditName` (string, optional)
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. Note: if the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true**, an error is generated on sending. Maximum length: 100 characters.
- `customFields` (list of string, optional) — An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by DocuSign. Each customField string can be a maximum of 100 characters.
- `declinedDateTime` (string, optional) — The date and time the recipient declined the document. Read only.
- `declinedReason` (string, optional) — The reason the recipient declined the document. Read only.
- `deliveredDateTime` (string, optional) — Reserved: For DocuSign use only.
- `deliveryMethod` (string, optional) — Reserved: For DocuSign use only.
- `documentVisibility` (list of documentVisibility, optional) — A list of `documentVisibility` objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true**.
- `email` (string, optional)
- `emailNotification` (recipientEmailNotification, optional)
- `emailRecipientPostSigningURL` (string, optional)
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from DocuSign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through DocuSign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. If set to `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at DocuSign. The signing or viewing action is initiated by the DocuSign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation that is launched by any partner. It is important to remember that in a typical embedded workflow the authentication of an embedded recipient is the responsibility of the sending application, DocuSign expects that senders will follow their own process for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process in initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process bypassing the sending application and any authentication steps the sending application would use. In this case, DocuSign recommends that you use one of the normal DocuSign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, DocuSign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: envelopeId, recipientId, recipientName, recipientEmail, and customFields. The `customFields` property must be set fort the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `excludedDocuments` (list of string, optional) — Specifies the documents that are not visible to this recipient. Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true** for the envelope to use this. When enforce signer visibility is enabled, documents with tabs can only be viewed by signers that have a tab on that document. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all the documents in an envelope, unless they are specifically excluded using this setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are specifically excluded using this setting when an envelope is sent.
- `faxNumber` (string, optional) — Reserved for DocuSign.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `fullName` (string, optional) — Reserved for DocuSign.
- `idCheckConfigurationName` (string, optional) — The name of the authentication check to use. This value must match one of the authentication types that the account uses. The names of these authentication types appear in the web console sending interface in the Identify list for a recipient. This setting overrides any default authentication setting. Valid values are: - `Phone Auth $`: The recipient must authenticate by using two-factor authentication (2FA). You provide the phone number to use for 2FA in the `phoneAuthentication` object. - `SMS Auth $`: The recipient must authenticate via SMS. You provide the phone number to use in the `smsAuthentication` object. - `ID Check $`: The recipient must answer detailed security questions. **Example**: Your account has ID Check and SMS Authentication available. In the web console Identify list, these appear as ID Check $ and SMS Auth $. To use ID Check in an envelope, the idCheckConfigurationName should be ID Check $. For SMS, you would use SMS Auth $, and you would also need to add a phone number to the smsAuthentication node.
- `idCheckInformationInput` (idCheckInformationInput, optional) — A complex element that contains input information related to a recipient ID check. It can include the following information. addressInformationInput: Used to set recipient address information and consists of: * addressInformation: consists of six elements, with stree2 and zipPlus4 being optional. The elements are: street1, street2, city, state, zip, zipPlus4. The maximum length of each element is: street1/street2 = 150 characters, city = 50 characters, state = 2 characters, and zip/zipPlus4 = 20 characters. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. dobInformationInput: Used to set recipient date of birth information and consists of: * dateOfBirth: Specifies the recipient's date, month and year of birth. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn4InformationInput: Used to set the last four digits of the recipient's SSN information and consists of: * ssn4: Specifies the last four digits of the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn9InformationInput: Used to set the recipient's SSN information. Note that the ssn9 information can never be returned in the response. The ssn9 input consists of: * ssn9: Specifies the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay.
- `identityVerification` (recipientIdentityVerification, optional)
- `inheritEmailNotificationConfiguration` (string, optional) — When set to **true** and the envelope recipient creates a DocuSign account after signing, the Manage Account Email Notification settings are used as the default settings for the recipient's account.
- `lastName` (string, optional) — The recipient's last name.
- `name` (string, optional)
- `note` (string, optional) — A note sent to the recipient in the signing email. This note is unique to this recipient. In the user interface, it appears near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters.
- `phoneAuthentication` (recipientPhoneAuthentication, optional) — A complex type that Contains the elements: * recipMayProvideNumber - Boolean. When set to **true**, the recipient can use whatever phone number they choose. * senderProvidedNumbers - ArrayOfString. A list of phone numbers the recipient can use. * recordVoicePrint - Reserved. * validateRecipProvidedNumber - Reserved.
- `proofFile` (recipientProofFile, optional)
- `recipientAttachments` (list of recipientAttachment, optional) — Reserved for DocuSign.
- `recipientAuthenticationStatus` (authenticationStatus, optional) — Contains information about the authentication status.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. Read only.
- `requireIdLookup` (string, optional) — When set to **true**, the recipient is required to use the specified ID check method (including Phone and SMS authentication) to validate their identity.
- `roleName` (string, optional) — Optional element. Specifies the role name associated with the recipient.This is required when working with template recipients.
- `routingOrder` (string, optional) — Specifies the routing order of the recipient in the envelope.
- `samlAuthentication` (recipientSAMLAuthentication, optional) — Contains the name/value pair information for the SAML assertion attributes: * name - The name of the SAML assertion attribute. * value - The value associated with the named SAML assertion attribute. Your account must be set up to use SSO to use this.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. Read only.
- `signedDateTime` (string, optional) — Reserved for DocuSign.
- `signingGroupId` (string, optional) — Optional. The ID of the [signing group](https://support.docusign.com/en/guides/ndse-user-guide-signing-groups). **Note**: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, we recommend that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change the default action of Needs to Sign to a different value, such as Receives a Copy.
- `signingGroupName` (string, optional) — The display name for the signing group. Maximum Length: 100 characters.
- `signingGroupUsers` (list of userInfo, optional) — A complex type that contains information about users in the signing group.
- `smsAuthentication` (recipientSMSAuthentication, optional) — Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.
- `socialAuthentications` (list of socialAuthentication, optional) — Lists the social ID type that can be used for recipient authentication.
- `status` (string, optional) — Recipient status.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `totalTabCount` (string, optional) — The total number of tabs in the documents. Read only.
- `userId` (string, optional) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.

### editor

- `accessCode` (string, optional) — If a value is provided, the recipient must enter the value as the access code to view and sign the envelope. Maximum Length: 50 characters and it must conform to the account's access code format setting. If blank, but the signer `accessCode` property is set in the envelope, then that value is used. If blank and the signer `accessCode` property is not set, then the access code is not required.
- `addAccessCodeToEmail` (string, optional) — This Optional attribute indicates that the access code will be added to the email sent to the recipient; this nullifies the Security measure of Access Code on the recipient.
- `clientUserId` (string, optional) — Specifies whether the recipient is embedded or remote. If the `clientUserId` property is not null then the recipient is embedded. Use this field to associate the signer with their userId in your app. Authenticating the user is the responsibility of your app when you use embedded signing. Note: if the `clientUserId` property is set and either `SignerMustHaveAccount` or `SignerMustLoginToSign` property of the account settings is set to **true**, an error is generated on sending. Maximum length: 100 characters.
- `customFields` (list of string, optional) — An optional array of strings that allows the sender to provide custom data about the recipient. This information is returned in the envelope status but otherwise not used by DocuSign. Each customField string can be a maximum of 100 characters.
- `declinedDateTime` (string, optional) — The date and time the recipient declined the document. Read only.
- `declinedReason` (string, optional) — The reason the recipient declined the document. Read only.
- `deliveredDateTime` (string, optional) — Reserved: For DocuSign use only.
- `deliveryMethod` (string, optional) — Reserved: For DocuSign use only.
- `documentVisibility` (list of documentVisibility, optional) — A list of `documentVisibility` objects. Each object in the list specifies whether a document in the envelope is visible to this recipient. For the envelope to use this functionality, Document Visibility must be enabled for the account and the `enforceSignerVisibility` property must be set to **true**.
- `email` (string, optional) — Email id of the recipient. Notification of the document to sign is sent to this email id. Maximum length: 100 characters.
- `emailNotification` (recipientEmailNotification, optional)
- `emailRecipientPostSigningURL` (string, optional)
- `embeddedRecipientStartURL` (string, optional) — Specifies a sender provided valid URL string for redirecting an embedded recipient. When using this option, the embedded recipient still receives an email from DocuSign, just as a remote recipient would. When the document link in the email is clicked the recipient is redirected, through DocuSign, to the supplied URL to complete their actions. When routing to the URL, the sender's system (the server responding to the URL) must request a recipient token to launch a signing session. If set to `SIGN_AT_DOCUSIGN`, the recipient is directed to an embedded signing or viewing process directly at DocuSign. The signing or viewing action is initiated by the DocuSign system and the transaction activity and Certificate of Completion records will reflect this. In all other ways the process is identical to an embedded signing or viewing operation that is launched by any partner. It is important to remember that in a typical embedded workflow the authentication of an embedded recipient is the responsibility of the sending application, DocuSign expects that senders will follow their own process for establishing the recipient's identity. In this workflow the recipient goes through the sending application before the embedded signing or viewing process in initiated. However, when the sending application sets `EmbeddedRecipientStartURL=SIGN_AT_DOCUSIGN`, the recipient goes directly to the embedded signing or viewing process bypassing the sending application and any authentication steps the sending application would use. In this case, DocuSign recommends that you use one of the normal DocuSign authentication features (Access Code, Phone Authentication, SMS Authentication, etc.) to verify the identity of the recipient. If the `clientUserId` property is NOT set, and the `embeddedRecipientStartURL` is set, DocuSign will ignore the redirect URL and launch the standard signing process for the email recipient. Information can be appended to the embedded recipient start URL using merge fields. The available merge fields items are: envelopeId, recipientId, recipientName, recipientEmail, and customFields. The `customFields` property must be set fort the recipient or envelope. The merge fields are enclosed in double brackets. *Example*: `http://senderHost/[[mergeField1]]/ beginSigningSession? [[mergeField2]]&[[mergeField3]]`
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `faxNumber` (string, optional) — Reserved for DocuSign.
- `firstName` (string, optional) — The user's first name. Maximum Length: 50 characters.
- `fullName` (string, optional) — Reserved for DocuSign.
- `idCheckConfigurationName` (string, optional) — The name of the authentication check to use. This value must match one of the authentication types that the account uses. The names of these authentication types appear in the web console sending interface in the Identify list for a recipient. This setting overrides any default authentication setting. Valid values are: - `Phone Auth $`: The recipient must authenticate by using two-factor authentication (2FA). You provide the phone number to use for 2FA in the `phoneAuthentication` object. - `SMS Auth $`: The recipient must authenticate via SMS. You provide the phone number to use in the `smsAuthentication` object. - `ID Check $`: The recipient must answer detailed security questions. **Example**: Your account has ID Check and SMS Authentication available. In the web console Identify list, these appear as ID Check $ and SMS Auth $. To use ID Check in an envelope, the idCheckConfigurationName should be ID Check $. For SMS, you would use SMS Auth $, and you would also need to add a phone number to the smsAuthentication node.
- `idCheckInformationInput` (idCheckInformationInput, optional) — A complex element that contains input information related to a recipient ID check. It can include the following information. addressInformationInput: Used to set recipient address information and consists of: * addressInformation: consists of six elements, with stree2 and zipPlus4 being optional. The elements are: street1, street2, city, state, zip, zipPlus4. The maximum length of each element is: street1/street2 = 150 characters, city = 50 characters, state = 2 characters, and zip/zipPlus4 = 20 characters. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. dobInformationInput: Used to set recipient date of birth information and consists of: * dateOfBirth: Specifies the recipient's date, month and year of birth. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn4InformationInput: Used to set the last four digits of the recipient's SSN information and consists of: * ssn4: Specifies the last four digits of the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay. * receiveInResponse: A Boolean element that specifies if the information needs to be returned in the response. ssn9InformationInput: Used to set the recipient's SSN information. Note that the ssn9 information can never be returned in the response. The ssn9 input consists of: * ssn9: Specifies the recipient's SSN. * displayLevelCode: Specifies the display level for the recipient. Values are: ReadOnly, Editable, or DoNotDisplay.
- `identityVerification` (recipientIdentityVerification, optional)
- `inheritEmailNotificationConfiguration` (string, optional) — When set to **true** and the envelope recipient creates a DocuSign account after signing, the Manage Account Email Notification settings are used as the default settings for the recipient's account.
- `lastName` (string, optional) — The recipient's last name.
- `name` (string, optional) — legal name of the recipient. Maximum Length: 100 characters.
- `note` (string, optional) — A note sent to the recipient in the signing email. This note is unique to this recipient. In the user interface, it appears near the upper left corner of the document on the signing screen. Maximum Length: 1000 characters.
- `phoneAuthentication` (recipientPhoneAuthentication, optional) — A complex type that Contains the elements: * recipMayProvideNumber - Boolean. When set to **true**, the recipient can use whatever phone number they choose. * senderProvidedNumbers - ArrayOfString. A list of phone numbers the recipient can use. * recordVoicePrint - Reserved. * validateRecipProvidedNumber - Reserved.
- `recipientAttachments` (list of recipientAttachment, optional) — Reserved for DocuSign.
- `recipientAuthenticationStatus` (authenticationStatus, optional) — Contains information about the authentication status.
- `recipientId` (string, optional) — Unique for the recipient. It is used by the tab element to indicate which recipient is to sign the Document.
- `recipientIdGuid` (string, optional) — The globally-unique identifier (GUID) for a specific recipient on a specific envelope. If the same recipient is associated with multiple envelopes, they will have a different GUID for each one. Read only.
- `requireIdLookup` (string, optional) — When set to **true**, the recipient is required to use the specified ID check method (including Phone and SMS authentication) to validate their identity.
- `roleName` (string, optional) — Optional element. Specifies the role name associated with the recipient.This is required when working with template recipients.
- `routingOrder` (string, optional) — Specifies the routing order of the recipient in the envelope.
- `samlAuthentication` (recipientSAMLAuthentication, optional) — Contains the name/value pair information for the SAML assertion attributes: * name - The name of the SAML assertion attribute. * value - The value associated with the named SAML assertion attribute. Your account must be set up to use SSO to use this.
- `sentDateTime` (string, optional) — The UTC DateTime when the envelope was sent. Read only.
- `signedDateTime` (string, optional) — Reserved for DocuSign.
- `signingGroupId` (string, optional) — Optional. The ID of the [signing group](https://support.docusign.com/en/guides/ndse-user-guide-signing-groups). **Note**: When you send an envelope to a signing group, anyone in the group can open it and sign it with their own signature. For this reason, we recommend that you do not include non-signer recipients (such as carbon copy recipients) in the same signing group as signer recipients. However, you could create a second signing group for the non-signer recipients and change the default action of Needs to Sign to a different value, such as Receives a Copy.
- `signingGroupName` (string, optional) — The display name for the signing group. Maximum Length: 100 characters.
- `signingGroupUsers` (list of userInfo, optional) — A complex type that contains information about users in the signing group.
- `smsAuthentication` (recipientSMSAuthentication, optional) — Contains the element senderProvidedNumbers which is an Array of phone numbers the recipient can use for SMS text authentication.
- `socialAuthentications` (list of socialAuthentication, optional) — Lists the social ID type that can be used for recipient authentication.
- `status` (string, optional) — Recipient status.
- `templateLocked` (string, optional) — When set to **true**, the sender cannot change any attributes of the recipient. Used only when working with template recipients.
- `templateRequired` (string, optional) — When set to **true**, the sender may not remove the recipient. Used only when working with template recipients.
- `totalTabCount` (string, optional) — The total number of tabs in the documents. Read only.
[...]
